Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_new
Class Parameter

    java.lang.Object
      org.deegree.owscommon_new.Parameter

Direct Known Subclasses:
  DomainType

    public abstract class Parameter

extends Object

`Parameter` is an abstraction of `DomainType` according to the OWS common specification 1.0.0. It defines some elementary methods that are self explanatory.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $
See Also:
  `DomainType`

Constructor Summary
`Parameter(boolean optional, boolean repeatable, String description, int direction)` Standard constructor that initializes all encapsulated data.

Method Summary
`String` | `getDescription()`
`int` | `getDirection()`
`boolean` | `isOptional()`
`boolean` | `isRepeatable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter(boolean optional,
                     boolean repeatable,
                     String description,
                     int direction)

  Standard constructor that initializes all encapsulated data.

  Parameters:
    `optional` -
    `repeatable` -
    `description` -
    `direction` -

Method Detail

### getDescription

    public String getDescription()

  Returns:
    the description.

### getDirection

    public int getDirection()

  Returns:
    the direction.

### isOptional

    public boolean isOptional()

  Returns:
    whether this parameter is optional.

### isRepeatable

    public boolean isRepeatable()

  Returns:
    whether this parameter is repeatable (?).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org